org.jetlang.web

## Interface SessionDispatcherFactory.SessionDispatcher<S>

All Known Implementing Classes:
  SessionDispatcherFactory.FiberSession, SessionDispatcherFactory.OnReadThread

Enclosing interface:
  SessionDispatcherFactory<S>

    public static interface SessionDispatcherFactory.SessionDispatcher<S>

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> WebSocketHandler<S,T>` `createOnNewSession(WebSocketHandler<S,T> handler, HttpRequest headers, S sessionState)`
`NioReader.State` `dispatch(HttpHandler<S> handler, HttpRequest headers, HttpResponse response, HeaderReader<S> headerReader, NioWriter writer, S sessionState)`
`void` `onClose(S session)`

### Method Detail

#### createOnNewSession

    <T> WebSocketHandler<S,T> createOnNewSession(WebSocketHandler<S,T> handler,
                                                 HttpRequest headers,
                                                 S sessionState)

#### dispatch

    NioReader.State dispatch(HttpHandler<S> handler,
                             HttpRequest headers,
                             HttpResponse response,
                             HeaderReader<S> headerReader,
                             NioWriter writer,
                             S sessionState)

#### onClose

    void onClose(S session)